Share Management
All operations require authentication.
List sharesBeta
Returns the shares of the service. Filter by name or status.
Path parameters
Service name
Query parameters
Filter by share name
Filter by share status
Response
Share creation date
Share description
Share ID
Share name
Share protocol
NFSShare size in GiB
Source snapshot ID used to create the share
Share status
availableawaiting_replicationcreatingcreating_from_snapshotdeleteddeletingerrorerror_deletingextendingextending_errorinactivemanage_errormanage_startingmigratingmigrating_toreplication_changerevertingreverting_errorshrinkingshrinking_errorshrinking_possible_data_loss_errorunmanage_errorunmanage_startingunmanagedExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ share \
-H "authorization: Bearer $OVH_TOKEN"1[2 {3 "createdAt": "2024-01-01T12:00:00Z",4 "description": "string",5 "id": "00000000-0000-0000-0000-000000000000",6 "name": "string",7 "protocol": "NFS",8 "size": 0,9 "snapshotId": "string",10 "status": "available"11 }12]
Get a shareBeta
Returns the share, including its size, protocol and status.
Path parameters
Service name
Share ID
Response
Share creation date
Share description
Share ID
Share name
Share protocol
NFSShare size in GiB
Source snapshot ID used to create the share
Share status
availableawaiting_replicationcreatingcreating_from_snapshotdeleteddeletingerrorerror_deletingextendingextending_errorinactivemanage_errormanage_startingmigratingmigrating_toreplication_changerevertingreverting_errorshrinkingshrinking_errorshrinking_possible_data_loss_errorunmanage_errorunmanage_startingunmanagedExample uses serviceName = string, shareId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ share/ {shareId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "createdAt": "2024-01-01T12:00:00Z",3 "description": "string",4 "id": "00000000-0000-0000-0000-000000000000",5 "name": "string",6 "protocol": "NFS",7 "size": 0,8 "snapshotId": "string",9 "status": "available"10}
Update a shareBeta
Updates the share name and description, the only fields that can be changed.
Path parameters
Service name
Share ID
Request body (required)
Share description
Share name
Response
Share creation date
Share description
Share ID
Share name
Share protocol
NFSShare size in GiB
Source snapshot ID used to create the share
Share status
availableawaiting_replicationcreatingcreating_from_snapshotdeleteddeletingerrorerror_deletingextendingextending_errorinactivemanage_errormanage_startingmigratingmigrating_toreplication_changerevertingreverting_errorshrinkingshrinking_errorshrinking_possible_data_loss_errorunmanage_errorunmanage_startingunmanagedExample uses serviceName = string, shareId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ share/ {shareId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "createdAt": "2024-01-01T12:00:00Z",3 "description": "string",4 "id": "00000000-0000-0000-0000-000000000000",5 "name": "string",6 "protocol": "NFS",7 "size": 0,8 "snapshotId": "string",9 "status": "available"10}